> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order by ID

> Retrieve a specific order by its unique identifier



## OpenAPI

````yaml /api-reference/v2/openapi.json get /orders/{id}
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
paths:
  /orders/{id}:
    get:
      tags:
        - Orders
      summary: Get order by ID
      description: Retrieve a specific order by its unique identifier
      parameters:
        - name: id
          in: path
          description: Order ID
          required: true
          schema:
            type: string
        - name: with[0]
          in: query
          description: >-
            Include related resources. Supported:
            receipt:id,service_notification_id,status
          schema:
            type: string
      responses:
        '200':
          description: Order retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOrderResponse'
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateOrderResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            status:
              type: string
              example: PENDING
            payload:
              type: object
              properties:
                updated_at:
                  type: string
                  format: date-time
                created_at:
                  type: string
                  format: date-time
                id:
                  type: integer
                venue_id:
                  type: integer
      example:
        success: true
        message: Order created
        data:
          status: PENDING
          payload:
            updated_at: '2026-01-08T06:28:23.000000Z'
            created_at: '2026-01-08T06:28:23.000000Z'
            id: 295
            venue_id: 1
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: object
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````